#include "msgs_types.h"

using namespace msgs;

QByteArray getMessage(const datas::IDataObject& obj) {
    auto content = obj.toText().toUtf8();
    auto header = QString(u8"Content-Length:%1\n").arg(content.length());
    
    auto u8_content = header.toUtf8();
    u8_content.append(content);
    return u8_content;
}
